1. CARD
Español
  • Español
  • English
  • Kushki Docs Colombia
  • Online Payments
    • CARD
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Void a transaction
        DELETE
      • Create payment (tokenless)
        POST
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Bin Info V2
        GET
      • Verify Account
        POST
      • Reauthorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Validate OTP
        POST
      • Request deferred options
        GET
      • Bin Info
        GET
      • Refund a transaction
        DELETE
    • ANALYTICS
      • Get transactions list v1
      • Get transactions list v2
    • CARD-OUTS
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • TRANSFER IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • TRANSFER OUT
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Update a cash in transaction
      • Delete a cash in transaction
      • Transaction Status
    • CASH-OUT
      • Request a cash out token
      • Init Transaction
      • Update a cash out transaction
      • Delete a cash out transaction
      • Transaction Status
    • COMMISSIONS
      • Get Commission Configuration
    • PAYMENT-BUTTON
      • Create a payment button
    • PAYMENT-CREDENTIALS
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Search credentials
      • Activate or deactivate
      • Update credential
      • Create a credential
    • SMARTLINKS-V2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • TRANSFER-OUT
      • Balance for Payouts
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Void a transaction
    • TRANSFER-IN
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • ONE-CLICK & SCHEDULED PAYMENTS
      • Request a recurring charge token
      • Update recurring charge card data
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
      • Create a recurring charge
      • Make an One-click payment
      • Cancel a recurring charge
      • Authorize payments
      • Capture an authorized payment
      • Get subscription transactions
    • GATEWAY-STATUS
      • Get gateway status
      • Get platform status
  • Schemas
    • SubscriptionTransactionsResponse
    • Card
    • SubscriptionTransaction
    • currency
    • ErrorResponse
    • Amount
    • extraTaxes
    • Deferred
    • Metadata
    • ContactDetails
    • documentType
    • orderDetails
    • Shipping Address
    • Billing-Address
    • product
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. CARD

Create payment (tokenless)

POST
/card/v2/charges
Make a single charge without the need for a card token.
DANGER
This is an On-demand service only available for PCI DSS compliance companies.
WARNING
This functionality is available for the Acquirer model only.

Limitations#

Only available for the Acquirer model in Colombia 🇨🇴.
Only available for Visa and Mastercard.
Not compatible with Siftscience nor TransUnion antifraud tools.
Not compatible with Kushki 3DS authentication tool (use your own 3DS authentication engine instead).
Not compatible with Kushki OTP authentication.

Deferred charges in Colombia#

For deferred charges, set the deferred object with creditType, graceMonths, and months. Send graceMonths as "00".
Credit Type 01 — Standard Installments:
"deferred": {
  "graceMonths": "00",
  "creditType": "01",
  "months": 6
}

For Aggregator model#

"months": 3

Do you have your own 3DS authentication engine?#

Make sure you include the threeDomainSecure object in your request.

Do you have your own subscriptions engine?#

Follow the same steps as for charges v1. Send initialRecurrence / subsequentRecurrence in transactionMode and use initialRecurrenceReference for subsequent charges.
Got a suggestion on this documentation? Contact Us.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://api-uat.kushkipagos.com/card/v2/charges' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "card": {
        "name": "John Doe",
        "number": "5311220000122112",
        "expiryMonth": "12",
        "expiryYear": "25",
        "cvv": "123"
    },
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 20000,
        "ice": 0,
        "iva": 0,
        "currency": "COP"
    },
    "isDeferred": false,
    "metadata": {
        "referencia": "999929"
    },
    "contactDetails": {
        "documentType": "CC",
        "documentNumber": "1009283738",
        "email": "user@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumber": "+573012345678"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+573012345678",
            "address1": "Av. Reforma 123",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia",
            "address": "Calle 100 # 10-20",
            "zipCode": "110111"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+573012345678",
            "address1": "Av. Reforma 123",
            "city": "Bogotá",
            "region": "Cundinamarca",
            "country": "Colombia",
            "address": "Calle 100 # 10-20",
            "zipCode": "110111"
        }
    },
    "productDetails": {
        "product": [
            {
                "id": "198952AB",
                "title": "eBook Digital Services",
                "price": 10000,
                "sku": "10101042",
                "quantity": 1
            }
        ]
    },
    "fullResponse": "v2"
}'
Response Response Example
201 - Approved with fullResponse
{
    "details": {
        "amount": {
            "subtotalIva": 0,
            "subtotalIva0": 5000,
            "ice": 0,
            "iva": 0,
            "currency": "COP",
            "isDeferred": false
        },
        "approvalCode": "123456",
        "approvedTransactionAmount": 5000,
        "binInfo": {
            "bank": "BANCOLOMBIA",
            "binCard": "531122",
            "cardCountry": "Colombia",
            "lastFourDigits": "2112",
            "type": "credit"
        },
        "cardHolderName": "John Doe",
        "created": 1712092118000,
        "merchantId": "20000000105929933000",
        "merchantName": "Tu comercio Colombia",
        "messageFields": {
            "f38": "123456",
            "f39": "00",
            "f48": {
                "s22": {
                    "se5": "C101"
                }
            }
        },
        "paymentBrand": "Mastercard",
        "processorBankName": "Kushki",
        "recap": "409321136945",
        "requestAmount": 5000,
        "responseCode": "000",
        "responseText": "Approved or completed successfully.",
        "transactionId": "821712092118240856443",
        "transactionReference": "3d0d7e1f-02b5-46fa-9791-92722f42df5b",
        "transactionStatus": "APPROVAL",
        "transactionType": "SALE"
    },
    "ticketNumber": "821712092118240271",
    "transactionReference": "3d0d7e1f-02b5-46fa-9791-92722f42df5b"
}
Modified at 2026-04-16 23:06:19
Previous
Void a transaction
Next
Authorize payments
Built with